Subject: Re: bug#35382: I found a bug in guix pull \o/ (maybe)

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Tue, 23 Apr 2019 15:34:31 +0200

Tobias Geerinckx-Rice wrote:
> ./guix/store.scm:1203:15: Throw to key `srfi-34' with args
> `(#<condition &store-protocol-error [message: "build .
> guix pull: error: You found a bug: the program
> '/gnu/store/j3sfsynqhkdcp4gjr558xdfqszjb6n45-compute-guix-derivat'
> failed to compute the derivation for Guix (version:
> "56a4858210ebaf45c32dc99bdfbd12b9bc5a234e"; system: "aarch64;
> host version: "0.16.0"; pull-version: 1).

I can avoid this by pulling from 
--commit=15dca289b8bd1418c5f5f3b545cb497497cad02e.  Then I can 
pull to HEAD just fine.

Closing since that's a good enough work-around for me :-)

Kind regards,

T G-R